Bug 203179 - Thunderbird's AccessibleApplication has an invalid name
Summary: Thunderbird's AccessibleApplication has an invalid name
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords: Desktop, Regression
Depends On:
Blocks: 169147
TreeView+ depends on / blocked
 
Reported: 2006-08-18 19:41 UTC by Zack Cerza
Modified: 2018-04-11 07:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 14:49:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program (615 bytes, text/plain)
2006-08-18 19:41 UTC, Zack Cerza
no flags Details
Screenshot (25.74 KB, image/png)
2006-10-12 08:33 UTC, Yan Tian
no flags Details

Description Zack Cerza 2006-08-18 19:41:40 UTC
Description of problem:
thunderbird's AccessibleApplication (seen via AT-SPI) has an invalid name, that
is different each time thunderbird is started.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.5-1.1.fc5.i386

How reproducible:
Always

Steps to reproduce:
1. Enable accessibility with: gconftool-2 --type bool --set
/desktop/gnome/interface/accessibility true
2. Start thunderbird
3. Run test program with: ./test

Actual results:
role name is '8�' or '�8 ' or some other corrupt string

Expected results:
role name is 'thunderbird'

Additional info:
I've attached a test program in C, to leave dogtail out of the equation. Install
at-spi-devel and build it with: gcc -o test `pkg-config --cflags cspi-1.0`
`pkg-config --libs cspi-1.0` test.c

Comment 1 Zack Cerza 2006-08-18 19:41:41 UTC
Created attachment 134468 [details]
test program

Comment 2 Yan Tian 2006-10-12 08:33:46 UTC
Created attachment 138310 [details]
Screenshot

Reported as garbled characters and no children widgets in
RHEL5-Client-20060927.0
Workstation system. 
thunderbird-1.5.0.7-5.fc6

Comment 3 Matěj Cepl 2007-07-18 17:31:10 UTC
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.


Comment 4 Matěj Cepl 2007-08-28 14:49:08 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.